Returns bin locations for a given warehouse with paging, sorting, and filtering support.
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/warehouse-assistant/bin-locations \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/warehouse-assistant/bin-locations"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/warehouse-assistant/bin-locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalItems": 123,
"pageNumber": 123,
"pageSize": 123,
"items": [
{
"binLocationId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"warehouseId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"name": "<string>",
"status": 123,
"type": 123,
"sort": 123
}
],
"totalPages": 123,
"hasPreviousPage": true,
"hasNextPage": true,
"nextPageNumber": 123,
"previousPageNumber": 123
}Warehouse Assistant
Returns bin locations for a given warehouse with paging, sorting, and filtering support.
GET
/
v2
/
warehouse-assistant
/
bin-locations
Returns bin locations for a given warehouse with paging, sorting, and filtering support.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Query Parameters
Warehouse to scope the bin locations query.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Optional filter by bin location name (contains).
Optional filter by status.
Optional filter by type.
Number of the page of items to fetch. Defaults to 1 when omitted.
Size of the page specified by PageNumber. Defaults to 100 when omitted.
Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).
Sort in descending order. Defaults to ascending when omitted.
Was this page helpful?